Resource Center/Hardware/SAN Storage Operations/NVMe Storage Operations
POSTNVMe Storage OperationsSince 4.6.21SynchronousAuth Required
RefreshNvmeTarget
RefreshNvmeTarget
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
zoneUuidStringRequiredThe zone UUID.
nvmeLunUuidsListOptional. The NVMe disk UUID.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/storage-devices/nvme/controllers
/zstack/v1/storage-devices/nvme/controllers
Request Example
curl -X POST 'http://{host}/zstack/v1/storage-devices/nvme/controllers' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"zoneUuid":"<zoneUuid>","nvmeLunUuids":["<nvmeLunUuids>"],"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventories": [ { "uuid": "88ed12f1c3d7329c9b3fd00a87ce999e", "state": "Enabled", "nvmeLuns": [ { "nvmeTargetUuid": "88ed12f1c3d7329c9b3fd00a87ce999e", "nvmeLunHostRefs": [ { "id": 1, "nvmeLunUuid": "3adbd21bfa483cb2bc48b91c1438c788", "hostUuid": "8c26dfd50d963292b8a51ddc0f9957f5", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "name": "nvme-lun-36b083fe000daf018000022905ba35d8f", "uuid": "3adbd21bfa483cb2bc48b91c1438c788", "wwid": "uuid.48daeab7-7f15-405e-8481-7152cb9b0aca", "wwn": "uuid.48daeab7-7f15-405e-8481-7152cb9b0aca", "serial": "3d87eca1686c1782", "type": "disk", "path": "nvme-uuid.48daeab7-7f15-405e-8481-7152cb9b0aca ", "size": 5497558138880 } ], "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }Change History
This API has no change history records yet.
